Opt-in: Guided tour on user talk for first visit to new Flow board
Closed, ResolvedPublic

Description

When users opt-in to use Flow on their user talk page in Beta features, we'll show them a three-step guided tour, to explain the new system.

Pau's prototype has the model.

Step 1

Title: Welcome to your new user talk page
Text: Your talk page is the place where other editors can contact you. With Flow, it's easier to start new topics and keep track of conversations.

Step 2

Title: Find your old conversations
Text: Previous conversations have been moved to an archive page.

Step 3

Title: Give us your feedback!
Text: You can get more information, provide feedback, or disable the new system any time from the Beta features section.

Related Objects

DannyH created this task.Aug 6 2015, 11:20 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to High.
DannyH moved this task to Untriaged on the Collaboration-Team-Archive-2015-2016 board.
DannyH added a subscriber: DannyH.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 6 2015, 11:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH renamed this task from Guided tour for Flow opt-in on user talk for first visit to new page to Opt-in: guided tour on user talk for first visit to new Flow board.Aug 6 2015, 11:21 PM
DannyH set Security to None.
DannyH renamed this task from Opt-in: guided tour on user talk for first visit to new Flow board to Opt-in: Guided tour on user talk for first visit to new Flow board.
Mooeypoo claimed this task.Aug 11 2015, 8:46 PM

Change 230924 had a related patch set uploaded (by Mooeypoo):
[wip] Create a guided tour for first-time users

https://gerrit.wikimedia.org/r/230924

If we want to use the image in the first step, I need a copy of it. @Pginer-WMF

DannyH updated the task description. (Show Details)Aug 11 2015, 10:51 PM

If we want to use the image in the first step, I need a copy of it. @Pginer-WMF

The image for the Guided Tour is

Change 233851 had a related patch set uploaded (by Mattflaschen):
Make GuidedTourHooks::addTour public for server-side launching.

https://gerrit.wikimedia.org/r/233851

Cookie name reviewed.

Change 234402 had a related patch set uploaded (by Mattflaschen):
Delete cookie for current tour if isSinglePage, on onShow

https://gerrit.wikimedia.org/r/234402

It would be great to have some screenshots here of the current status (or some instructions on how to trigger the guided tour) in this ticket.

I posted this to the parent task (T98270#1582980) but here seems more appropriate (too many open tabs, sorry).

Change 233851 merged by jenkins-bot:
Add GuidedTourLauncher::launchTourByCookie for server-side launch

https://gerrit.wikimedia.org/r/233851

Change 234402 merged by jenkins-bot:
Delete cookie for current tour if isSinglePage, on onShow

https://gerrit.wikimedia.org/r/234402

Here are screenshots of the guided tour:

Step 1:

Step 2 (optional, depending on whether the user had a wikitext before):

Step 3:

Here are screenshots of the guided tour:

Thanks @Mooeypoo! This looks good.
My only comment is about the first step: The image is shown between the title and the text for the guider. That breaks the text content a bit.
If it is hard to make the image to appear above the title because of the Guided Tours framework, we could try to place it at the left of the text (as in "float:left"). If this is also not feasible, we can leave it as shown in the screenshot.

Change 230924 merged by jenkins-bot:
Create a guided tour for first-time users

https://gerrit.wikimedia.org/r/230924

Change 236993 had a related patch set uploaded (by Mooeypoo):
Set the guided tour cookie in onUserSaveOptions

https://gerrit.wikimedia.org/r/236993

Change 236993 merged by jenkins-bot:
Set the guided tour cookie in onUserSaveOptions

https://gerrit.wikimedia.org/r/236993

Tour will be in all the wiki? Will be time after the addition of text to translatewiki and before enable it in the wiki?

Mattflaschen-WMF added a comment.EditedSep 11 2015, 4:58 PM

Tour will be in all the wiki? Will be time after the addition of text to translatewiki and before enable it in the wiki?

Users will only be directed to the tour on Catalan Wikipedia, French Wikipedia, Hebrew Wikipedia, and Wikidata initially.

Statistics: https://translatewiki.net/w/i.php?title=Special%3AMessageGroupStats&group=ext-flow

The Catalan messages are missing here. They have an overall 58% translation completion rate for Flow.

French has a couple outdated messages (they are not part of the tour but are relevant to opt-in).

Hebrew is at 100%.

Current screenshots from betalabs.

Step 1:

If a screen size smaller


Step 2:

However, if a user closes the board description without closing the pop up first:


Step 3:

DannyH closed this task as Resolved.Sep 16 2015, 9:58 PM

This looks great; I think the issue Elena found in the above comment is acceptable.